Debian Bug report logs - #455745
apply patch to provide more atomic device creation

version graph

Package: devmapper; Maintainer for devmapper is (unknown);

Reported by: Scott James Remnant <scott@ubuntu.com>

Date: Tue, 11 Dec 2007 16:51:02 UTC

Severity: wishlist

Tags: patch

Found in version 2:1.02.20-2

Fixed in version devmapper/2:1.02.24-4

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#455745; Package devmapper. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apply patch to provide more atomic device creation
Date: Tue, 11 Dec 2007 16:49:02 +0000
[Message part 1 (text/plain, inline)]
Package: devmapper
Version: 2:1.02.20-2
Severity: wishlist
Tags: patch

Please apply our patch (also submitted upstream) to make the device node
creation more atomic, and avoid races with udev which also attempts to
create these devices.

-- System Information:
Debian Release: lenny/sid
  APT prefers gutsy-updates
  APT policy: (500, 'gutsy-updates'), (500, 'gutsy-security'), (500, 'gutsy')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-14-generic (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[devmapper-1.02.20-atomic-mknod.patch (text/x-c, attachment)]
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `RM: xmms-arts -- RoM; xmms is going away' from `apply patch to provide more atomic device creation'. Request was from Chris Boyle <cmb@debian.org> to control@bugs.debian.org. (Wed, 16 Jan 2008 13:15:03 GMT) Full text and rfc822 format available.

Changed Bug title to `apply patch to provide more atomic device creation' from `RM: xmms-arts -- RoM; xmms is going away'. Request was from Chris Boyle <cmb@debian.org> to control@bugs.debian.org. (Wed, 16 Jan 2008 13:27:04 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Scott James Remnant <scott@ubuntu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 455745-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 455745-close@bugs.debian.org
Subject: Bug#455745: fixed in devmapper 2:1.02.24-4
Date: Mon, 10 Mar 2008 21:32:08 +0000
Source: devmapper
Source-Version: 2:1.02.24-4

We believe that the bug you reported is fixed in the latest version of
devmapper, which is due to be installed in the Debian FTP archive:

devmapper_1.02.24-4.diff.gz
  to pool/main/d/devmapper/devmapper_1.02.24-4.diff.gz
devmapper_1.02.24-4.dsc
  to pool/main/d/devmapper/devmapper_1.02.24-4.dsc
dmsetup-udeb_1.02.24-4_amd64.udeb
  to pool/main/d/devmapper/dmsetup-udeb_1.02.24-4_amd64.udeb
dmsetup_1.02.24-4_amd64.deb
  to pool/main/d/devmapper/dmsetup_1.02.24-4_amd64.deb
libdevmapper-dev_1.02.24-4_amd64.deb
  to pool/main/d/devmapper/libdevmapper-dev_1.02.24-4_amd64.deb
libdevmapper1.02.1-udeb_1.02.24-4_amd64.udeb
  to pool/main/d/devmapper/libdevmapper1.02.1-udeb_1.02.24-4_amd64.udeb
libdevmapper1.02.1_1.02.24-4_amd64.deb
  to pool/main/d/devmapper/libdevmapper1.02.1_1.02.24-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 455745@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated devmapper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 10 Mar 2008 22:16:48 +0100
Source: devmapper
Binary: libdevmapper-dev libdevmapper1.02.1 libdevmapper1.02.1-udeb dmsetup dmsetup-udeb
Architecture: source amd64
Version: 2:1.02.24-4
Distribution: unstable
Urgency: low
Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 dmsetup    - The Linux Kernel Device Mapper userspace library
 dmsetup-udeb - The Linux Kernel Device Mapper userspace library (udeb)
 libdevmapper-dev - The Linux Kernel Device Mapper header files
 libdevmapper1.02.1 - The Linux Kernel Device Mapper userspace library
 libdevmapper1.02.1-udeb - The Linux Kernel Device Mapper userspace library (udeb)
Closes: 434241 455745
Changes: 
 devmapper (2:1.02.24-4) unstable; urgency=low
 .
   * Add symbols file for libdevmapper1.02.
   * Add modified version of atomic device creation patch. (closes: #455745)
   * Add modified version of dmsetup export patch. (closes: #434241)
Files: 
 437a6fa9285a822ffc4bdd67a28041d2 768 admin optional devmapper_1.02.24-4.dsc
 1deed5a909cf6f41f24276411f23e191 13257 admin optional devmapper_1.02.24-4.diff.gz
 84f41b075dc73acec42a845f82826b70 71496 libdevel optional libdevmapper-dev_1.02.24-4_amd64.deb
 2c5c13ac554f2a79c5c1cc16090598d3 55474 libs required libdevmapper1.02.1_1.02.24-4_amd64.deb
 3740155722925cc111d58de1dc5deccd 37450 admin optional dmsetup_1.02.24-4_amd64.deb
 cd01d678051a9f4b49ad4c299384be3a 39536 debian-installer optional libdevmapper1.02.1-udeb_1.02.24-4_amd64.udeb
 53f7d3d3c8ba9f11cad636ec2ead69fc 19032 debian-installer optional dmsetup-udeb_1.02.24-4_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkfVp2EACgkQxWtQqFixGB5FSgCfazOdw+u6einacKiocMtOMHcF
IuAAn2twI8CMdMremckCyYOjOo/mnYSE
=+x8Z
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Apr 2008 07:33:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:40:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.